# Package org.apache.maven.project.artifact

Class Summary
Class | Description
--- | ---
ActiveProjectArtifact | Wraps an active project instance to be able to receive updates from its artifact without affecting the original attributes of this artifact.
AttachedArtifact |
MavenMetadataSource |
ProjectArtifactFactory |
ProjectArtifactMetadata | Attach a POM to an artifact.

Exception Summary
Exception | Description
--- | ---
InvalidDependencyVersionException | Thrown if a dependency has an invalid version.